openapi: 3.0.0
info:
  version: ACCESS
  title: 
  description: Access Modules
servers:
  - url: http://localhost:8096/
paths:
  /ProductionJobsToday:
    get:
      description: ''
      operationId: 'getProductionJobsToday'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductionJobsTodayCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductionJobsToday/{id}:
    get:
      description: ''
      operationId: 'getProductionJobsTodayById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductionJobsToday'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductionJobStepsToday:
    get:
      description: ''
      operationId: 'getProductionJobStepsToday'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductionJobStepsTodayCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductionJobStepsToday/{id}:
    get:
      description: ''
      operationId: 'getProductionJobStepsTodayById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductionJobStepsToday'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
  schemas:
    PostResponse:
      type: object
      properties:
        Status:
          type: string
        Message:
          type: string
        QueueEntryId:
          type: integer
        Data:
          type: array
          items:
            type: object
            properties:
              Id:
                type: integer
              TypeName:
                type: string
              Info:
                type: string
    PutResponse:
      type: object
      properties:
        Status:
          type: string
        Message:
          type: string
        QueueEntryId:
          type: integer
        Data:
          type: array
          items:
            type: object
            properties:
              Id:
                type: integer
              TypeName:
                type: string
              Info:
                type: string
    ProductionJobsToday:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Number:
          type: string
        PlannedProductionStartTime:
          type: number
        PlannedProductionEndTime:
          type: number
        ActualProductionStartTime:
          type: number
        ActualProductionEndTime:
          type: number
        Status:
          type: string
        CALC_NumberAndResource:
          type: string
        CALC_StatusDescription:
          type: string
        ProductionResource:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Description:
              type: string
            Code:
              type: string
        Operator:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Name:
              type: string
            Code:
              type: string
    ProductionJobsToday_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Number:
          type: string
        PlannedProductionStartTime:
          type: number
        PlannedProductionEndTime:
          type: number
        ActualProductionStartTime:
          type: number
        ActualProductionEndTime:
          type: number
        Status:
          type: string
        CALC_NumberAndResource:
          type: string
        CALC_StatusDescription:
          type: string
        ProductionResource:
          type: number
        Operator:
          type: number
    ProductionJobsTodayCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/ProductionJobsToday'
    ProductionJobStepsToday:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        _Owner_:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Number:
              type: string
            Operator:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Name:
                  type: string
                Code:
                  type: string
            ProductionResource:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Description:
                  type: string
                Code:
                  type: string
        DocumentNumber:
          type: string
        Status:
          type: string
        CALC_StatusDescription:
          type: string
        PlannedProductionDuration:
          type: number
        ProductionJobStep.ProductTreatment.Description:
          type: string
        ProductionJobStep.ProductTreatment.Code:
          type: string
        SequenceNumber:
          type: number
    ProductionJobStepsToday_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        _Owner_:
          type: number
        DocumentNumber:
          type: string
        Status:
          type: string
        CALC_StatusDescription:
          type: string
        PlannedProductionDuration:
          type: number
        ProductionJobStep.ProductTreatment.Description:
          type: string
        ProductionJobStep.ProductTreatment.Code:
          type: string
        SequenceNumber:
          type: number
    ProductionJobStepsTodayCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/ProductionJobStepsToday'
security:
  - apiKey: []
